package com.jxdinfo.hussar.core.config;

package .tmp;

import org.springframework.boot.autoconfigure.AutoConfigureBefore;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.client.discovery.EnableDiscoveryClientImportSelector;
import org.springframework.cloud.client.discovery.composite.CompositeDiscoveryClientAutoConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

@Configuration
@ConditionalOnClass({DiscoveryClient.class})
@Import({EnableDiscoveryClientImportSelector.class})
@AutoConfigureBefore({CompositeDiscoveryClientAutoConfiguration.class})
@EnableDiscoveryClient
public class CloudCoreAutoConfig {}
